Staking Data
Ratings APIInfrastructure

List Infrastructure Ratings

Returns a paginated list of infrastructure provider ratings. Supports filtering by rating grade, date ranges, and version, as well as sorting and pagination.

GET
/ratings/infra
X-API-KEY<token>

In: header

Query Parameters

sort?string

Field to sort results by.

Default"rating"
Value in"name" | "rating" | "rated_at" | "rated_since"
order?string

Sort order.

Default"asc"
Value in"asc" | "desc"
rated_at_gte?string

Filter by rating date (greater than or equal). Format YYYY-MM-DD.

Formatdate
rated_at_lte?string

Filter by rating date (less than or equal). Format YYYY-MM-DD.

Formatdate
rated_since_gte?string

Filter by rated-since date (greater than or equal). Format YYYY-MM-DD.

Formatdate
rated_since_lte?string

Filter by rated-since date (less than or equal). Format YYYY-MM-DD.

Formatdate
version?string

Filter by rating methodology version.

rating_gte?string

Filter by minimum rating grade (inclusive). Rating scale from AAA (best) to D (worst).

Value in"AAA" | "AA" | "A" | "BBB" | "BB" | "B" | "CCC" | "CC" | "C" | "D"
rating_lte?string

Filter by maximum rating grade (inclusive). Rating scale from AAA (best) to D (worst).

Value in"AAA" | "AA" | "A" | "BBB" | "BB" | "B" | "CCC" | "CC" | "C" | "D"
rating?string

Filter by exact rating grade.

Value in"AAA" | "AA" | "A" | "BBB" | "BB" | "B" | "CCC" | "CC" | "C" | "D"
limit?integer

Maximum number of results to return.

Default10
offset?integer

Number of results to skip for pagination.

Default0

Response Body

application/json

curl -X GET "https://api.stakingrewards.com/ratings/infra"
{
  "data": [
    {
      "name": "Example Provider",
      "version": "2.1",
      "rating": "BBB+",
      "rated_at": "2026-02-10",
      "rated_since": "2026-02-10",
      "profile_url": "http://example.com",
      "report_url": "string",
      "rating_data": {
        "business_operations": {
          "delegator_protection": {
            "business_insurance": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "delegator_transactions": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "fund_for_delegator_protection": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "slashing_protection": {
              "max": 0,
              "min": 0,
              "score": 0
            }
          },
          "general_information": {
            "external_investments_and_partnerships": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "foundation_delegations": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "juristiction": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "legal_entity": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "longest_running_validator": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "public_team": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "terms_of_service": {
              "max": 0,
              "min": 0,
              "score": 0
            }
          },
          "resilience_to_market_downturns": {
            "alternative_income_streams": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "cash_reserves": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "earnings_dashboard": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "mev_participation": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "provider_information_on_saum_and_costs": {
              "max": 0,
              "min": 0,
              "score": 0
            }
          }
        },
        "reliability": {
          "on_chain_metrics": {
            "commission_rates": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "networks": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "process_improvements": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "slashing_events": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "uptime": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "validating_since": {
              "max": 0,
              "min": 0,
              "score": 0
            }
          },
          "validator_maintenance": {
            "events_covered_by_monitoring": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "maintenance_team": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "monitoring_systems": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "on_call_rotation": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "shutdown_of_validators": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "upgrading_processes": {
              "max": 0,
              "min": 0,
              "score": 0
            }
          }
        },
        "security_setup": {
          "infrastructure_setup": {
            "alarm_events": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "alarm_systems_for_infrastructure": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "bug_bounty_programs": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "certifications": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "engineering_experience": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "geographical_diversification": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "redundant_infrastructure_and_backups": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "type_of_validator_infrastructure": {
              "max": 0,
              "min": 0,
              "score": 0
            }
          },
          "internal_policies": {
            "access_to_production_systems": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "application_vulnerabilities": {
              "max": 0,
              "min": 0,
              "score": 0
            },
            "private_key_policy": {
              "max": 0,
              "min": 0,
              "score": 0
            }
          }
        }
      }
    }
  ]
}
Empty
Empty